Tp::Service::ChannelInterfaceServicePointAdaptor Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Signals | Public Member Functions | List of all members
Tp::Service::ChannelInterfaceServicePointAdaptor Class Reference
Channel service implementation

`#include <TelepathyQt/_gen/svc-channel.h>`

Inherits Tp::AbstractAdaptor.

## Signals
void | ServicePointChanged (const Tp::ServicePoint &servicePoint)

## Public Member Functions
Tp::ServicePoint | InitialServicePoint () const
Tp::ServicePoint | CurrentServicePoint () const
Public Member Functions inherited from Tp::AbstractAdaptor
| AbstractAdaptor (const QDBusConnection &connection, QObject *adaptee, QObject *parent)
| ~AbstractAdaptor ()
QDBusConnection | dbusConnection () const
QObject * | adaptee () const

## Detailed Description

Adaptor class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Channel.Interface.ServicePoint".

## Member Function Documentation

Tp::ServicePoint Tp::Service::ChannelInterfaceServicePointAdaptor::InitialServicePoint | ( |  | ) | const

Return the value of the exported D-Bus object property `InitialServicePoint` of type `Tp::ServicePoint`.

Adaptees should export this property as a Qt property named 'initialServicePoint' with type Tp::ServicePoint.

This property is used to indicate that the channel target is a well-known service point. Please note that the CM (or lower layers of the stack or network) may forward the connection to other other service points, which the CM SHOULD indicate via ServicePointChanged() signal.

This property SHOULD be set for channel requests that are specifically targeting service points.

Returns
  The value of exported property `InitialServicePoint`.

Tp::ServicePoint Tp::Service::ChannelInterfaceServicePointAdaptor::CurrentServicePoint | ( |  | ) | const

Return the value of the exported D-Bus object property `CurrentServicePoint` of type `Tp::ServicePoint`.

Adaptees should export this property as a Qt property named 'currentServicePoint' with type Tp::ServicePoint.

The service point that the channel is connected to. If the channel is not connected to a service point, the CM MUST set the Service_Point_Type field to None; for instance, this will be the case for ordinary calls.

Returns
  The value of exported property `CurrentServicePoint`.

void Tp::Service::ChannelInterfaceServicePointAdaptor::ServicePointChanged | ( | const Tp::ServicePoint & | servicePoint | ) |
| signal

Represents the exported D-Bus signal `ServicePointChanged` on this object.

Adaptees should export this signal as a Qt signal with the following signature: void servicePointChanged(const Tp::ServicePoint& servicePoint);

The adaptee signal will be automatically relayed as a D-Bus signal once emitted.

Parameters

  servicePoint |
      The new service point that is being used.